Winevt.EVT_FORMAT_MESSAGE_FLAGS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, interface: EVT_FORMAT_MESSAGE_FLAGS

Package com.sun.jna.platform.win32

# Interface Winevt.EVT_FORMAT_MESSAGE_FLAGS

Enclosing interface:
  Winevt

public static interface Winevt.EVT_FORMAT_MESSAGE_FLAGS
Defines the values that specify the message string from the event to format. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385525(v=vs.85).aspx

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EvtFormatMessageChannel`
  Format the message string of the channel specified in the event.
  `static final int`
  `EvtFormatMessageEvent`
  Format the event's message string.
  `static final int`
  `EvtFormatMessageId`
  Format the message string associated with a resource identifier.
  `static final int`
  `EvtFormatMessageKeyword`
  Format the message string of the keywords specified in the event.
  `static final int`
  `EvtFormatMessageLevel`
  Format the message string of the level specified in the event.
  `static final int`
  `EvtFormatMessageOpcode`
  Format the message string of the opcode specified in the event.
  `static final int`
  `EvtFormatMessageProvider`
  Format the provider's message string.
  `static final int`
  `EvtFormatMessageTask`
  Format the message string of the task specified in the event.
  `static final int`
  `EvtFormatMessageXml`
  Format all the message strings in the event.

- ## Field Details

  - ### EvtFormatMessageEvent

    static final int EvtFormatMessageEvent
    Format the event's message string.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageLevel

    static final int EvtFormatMessageLevel
    Format the message string of the level specified in the event.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageTask

    static final int EvtFormatMessageTask
    Format the message string of the task specified in the event.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageOpcode

    static final int EvtFormatMessageOpcode
    Format the message string of the opcode specified in the event.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageKeyword

    static final int EvtFormatMessageKeyword
    Format the message string of the keywords specified in the event. If the event specifies multiple keywords, the formatted string is a list of null-terminated strings. Increment through the strings until your pointer points past the end of the used buffer.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageChannel

    static final int EvtFormatMessageChannel
    Format the message string of the channel specified in the event.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageProvider

    static final int EvtFormatMessageProvider
    Format the provider's message string.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageId

    static final int EvtFormatMessageId
    Format the message string associated with a resource identifier. The provider's metadata contains the resource identifiers; the message compiler assigns a resource identifier to each string when it compiles the manifest.
    See Also:
      - Constant Field Values

  - ### EvtFormatMessageXml

    static final int EvtFormatMessageXml
    Format all the message strings in the event. The formatted message is an XML string that contains the event details and the message strings. The message strings are included in the RenderingInfo section of the event details.
    See Also:
      - Constant Field Values